Create a new Atlantic bucket.
curl --request POST \
--url https://atlantic.api.herodotus.cloud/buckets \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"externalId": null,
"nodeWidth": null,
"aggregatorParams": null,
"mockProof": false
}
'import requests
url = "https://atlantic.api.herodotus.cloud/buckets"
payload = {
"externalId": None,
"nodeWidth": None,
"aggregatorParams": None,
"mockProof": False
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalId: null, nodeWidth: null, aggregatorParams: null, mockProof: false})
};
fetch('https://atlantic.api.herodotus.cloud/buckets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"atlanticBucket": {
"id": "<string>",
"externalId": "<string>",
"aggregatorParams": "<string>",
"nodeWidth": -1,
"leaves": -1,
"mockProof": true,
"projectId": "<string>",
"createdByClient": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "MISSING_API_KEY"
}{}Endpoints
Create bucket
Create a new Atlantic bucket for grouping multiple queries into a single on-chain verification via Applicative Recursion.
POST
/
buckets
Create a new Atlantic bucket.
Authorizations
Query Parameters
Body
application/json
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

